'Compress::Raw::Bzip2' Perl Module Remote Code Execution Vulnerability

Bugtraq ID: 36082
Class: Design Error
CVE: CVE-2009-1884
Remote: Yes
Local: No
Published: Aug 18 2009 12:00AM
Updated: Dec 01 2009 10:05PM
Credit: The vendor reported the issue.
Vulnerable: Mandriva Linux Mandrake 2009.1 x86_64
Mandriva Linux Mandrake 2009.1
MandrakeSoft Enterprise Server 5 x86_64
MandrakeSoft Enterprise Server 5
Gentoo Linux
Compress::Raw::Bzip2 Compress::Raw::Bzip2 2.017
Activestate ActivePerl 5.10.1
Not Vulnerable: Compress::Raw::Bzip2 Compress::Raw::Bzip2 2.019
Activestate ActivePerl 5.10.1 build 1006


 

Privacy Statement
Copyright 2010, SecurityFocus